Page MenuHomePhabricator

An incomplete message shown when adding a sitelink to a page whose item uses the current page
Closed, ResolvedPublic

Description

I tried to link between the English Wikipedia article Latvian orthography (Q67693351) to the Russian Wikipedia article Латышский алфавит (Q1193493). I used the "Add link" dialog on the client to do this.

I got this error:

Saying "Error: $1" is definitely not supposed to happen. When I tried to merge the item on wikidata.org, I got this:

So, the actual error is probably "The two items cannot be merged because one of them links to the other using the properties". This is probably the text that should be shown on the client dialog instead of "$1".

Event Timeline

Amire80 created this task.Jan 30 2020, 7:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2020, 7:27 PM

I wonder if there is a connection to T245245.

Change 573628 had a related patch set uploaded (by Itamar Givon; owner: Itamar Givon):
[wikibase/javascript-api@master] Add failed modification key

https://gerrit.wikimedia.org/r/573628

Change 573629 had a related patch set uploaded (by Itamar Givon; owner: Itamar Givon):
[mediawiki/extensions/Wikibase@master] Add i18n key for failed item merge

https://gerrit.wikimedia.org/r/573629

ItamarWMDE added a comment.EditedFeb 21 2020, 11:54 AM

Please review and merge 573628 first, as it needs to be merged before CI tests are run on 573629.

Tarrow added a subscriber: Tarrow.Feb 26 2020, 10:30 AM

https://gerrit.wikimedia.org/r/c/wikibase/javascript-api/+/573628 adds support for unknown errors that contain no more localisable information (e.g. the only thing we have is the error code). I quickly asked @Lydia_Pintscher about that in the daily and we think that's the best thing to show to our users.

Change 573628 merged by jenkins-bot:
[wikibase/javascript-api@master] Add failed modification key

https://gerrit.wikimedia.org/r/573628

Change 573629 had a related patch set uploaded (by Addshore; owner: Itamar Givon):
[mediawiki/extensions/Wikibase@master] Add i18n key for failed item merge

https://gerrit.wikimedia.org/r/573629

Change 573629 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add i18n key for failed item merge

https://gerrit.wikimedia.org/r/573629

This seems to be working now \o/

Just two minor things:

  • item -> Item (We capitalize when talking about the specific Wikibase data model concepts like Item, Property, Lexeme)
  • Wikidata is not hard-coded I assume? If it is then maybe replace with $reponame or "central data repository" like in the first message in the underlying dialog.

Moving back to todo for the two questions above.

@ItamarWMDE as your still assigned to this one would you mind having a quick look at the questions above? :)
If not lets get you unassigned so someone else can pick this up!

Change 594208 had a related patch set uploaded (by Itamar Givon; owner: Itamar Givon):
[mediawiki/extensions/Wikibase@master] Fix capitalization on "items"

https://gerrit.wikimedia.org/r/594208

@Addshore done :)

Thanks for the ping :)

Change 594208 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix capitalization on "items"

https://gerrit.wikimedia.org/r/594208